!
! ********************************************************************
! *                                                                  *
! *  Copyright 2001 Compaq Computer Corporation                      *
! *                                                                  *
! *  COMPAQ Registered in U.S. Patent and Trademark Office.          *
! *                                                                  *
! *  Confidential computer software. Valid license from Compaq or    *
! *  authorized sublicensor required for possession, use or copying. *
! *  Consistent with FAR 12.211 and 12.212, Commercial Computer      *
! *  Software, Computer Software Documentation, and Technical Data   *
! *  for Commercial Items are licensed to the U.S. Government under  *
! *  vendor's standard commercial license.                           *
! *                                                                  *
! ********************************************************************
!
!DEC$ IF .NOT. DEFINED (MSFWIN_ )
!DEC$ DEFINE xMSFWIN_  
MODULE DFWIN
use advapi32
use comdlg32
use dfwbase
use gdi32
use kernel32
use lz32
use mpr
use shell32
use user32
use version
use winmm
use winspool
use wsock32
END MODULE DFWIN
MODULE DFWINA
! Because of a conflict between the WinMain in scrnsave.lib and the
! WinMain in qwin.lib (used by QuickWin applications), this 
! library search record has been moved to msfwina.  For this reason, 
! use caution when using QuickWin and scrnsave together.
!scrnsave has been removed from dfwin.f90.  Please add a 
! use scrnsave
!to any program that requires it.
!
!!use scrnsave
!
! Because there are conflicts between the names of APIs in MSFWIN and 
! in MSFLIB, the affected APIs have been renamed to MSFWIN$... in 
! MSFWIN.  To use these Win32 APIs, either:
! a) Use the name as it appears here, such as MSFWIN$ARC instead of ARC
! b) Rename the MSFLIB version to something else (using a rename clause
!    on the USE statement), and then rename the MSFLIB version to the
!    original name.
! c) Only use what you need from MSFLIB with an ONLY clause on the USE
!    statement, and then use MSFWINA instead of MSFWIN (see below) which
!    has the renames for these APIs already done.
! d) The same as (c), but don't use MSFLIB at all if it can be avoided.
!
! Option (d) is often the easiest.
use dfwin, arc=>msfwin$arc, ellipse=>msfwin$ellipse, &
	    floodfill=>msfwin$floodfill, getbkcolor=>msfwin$getbkcolor, &
	    getpixel=>msfwin$getpixel, gettextcolor=>msfwin$gettextcolor, &
	    lineto=>msfwin$lineto, pie=>msfwin$pie, &
	    rectangle=>msfwin$rectangle, &
	    selectpalette=>msfwin$selectpalette, &
	    setbkcolor=>msfwin$setbkcolor, &
	    setpixel=>msfwin$setpixel, &
	    settextcolor=>msfwin$settextcolor, &
	    polygon=>msfwin$polygon
END MODULE DFWINA
!DEC$ ENDIF ! /* MSFWIN_ */
